<?php 

  include("../scripts/connect.php");

   $conexion=conecta_default();

   

   include_once("../scripts/session.php");

   //Validar Session



    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/



    if(!$sesion->isValida("4")){ /*Sesion invalida*/



	 header("Location: ../index.php?err=NoSesion");



    }/*no hay sesion*/



    else{



       $dato=explode("|",$_SESSION['usuario']);

       $sesion->setDatos($dato[0],$dato[1],$dato[2]);

       $sesion->setSesion();



    }

    //fin validar session

   $id_cd=$sesion->id;
	  
extract($_POST);
 $id_cd=$listacd;
$continuar=0;
$gastos=0;
$entradas=0;
$salidas=0;
$efectivo=0;
$prod=array();
  function redondear($valor) {
$float_redondeado=round($valor * 100) / 100;
return $float_redondeado;
}
	function regresames($mes){

	   switch($mes) 



				{

					case '01': $mesletra="Enero"; $diaf=31; break;

					case '02': $mesletra="Febrero"; $diaf=28; break;

					case '03': $mesletra="Marzo"; $diaf=31; break;

					case '04': $mesletra="Abril"; $diaf=30; break;

					case '05': $mesletra="Mayo"; $diaf=31; break;

					case '06': $mesletra="Junio"; $diaf=30; break;

					case '07': $mesletra="Julio"; $diaf=31; break;

					case '08': $mesletra="Agosto"; $diaf=31; break;

					case '09': $mesletra="Septiembre"; $diaf=30; break;

					case '10': $mesletra="Octubre"; $diaf=31; break;

					case '11': $mesletra="Noviembre"; $diaf=30; break;

					case '12': $mesletra="Diciembre"; $diaf=31; break;

				}	

	return $mesletra;}

	$mesletra=regresames($fecha);

	
 $qcc15 = "SELECT nombre FROM usuarios_ci WHERE idusuarios_ci = \"$id_cd\" ";
           $ccc15 = mysql_query($qcc15) or die ('No se pudo hacer la consulta cc1' . mysql_error());
           $rrc5 = mysql_fetch_row($ccc15);
  
           $nombreci=$rrc5[0];
	

	/*
$qp32 = "select nombre from usuarios_ci where idusuarios_ci=$entrega";
   $cp32 = mysql_query($qp32) or die ('Error (Registro No Encontrado): ' . mysql_error());
$rp32 = mysql_fetch_object($cp32);	
	$nomentrega = $rp32->nombre;
 
$qPP = "select id_prod, nombreProd, cant from pedido join productos on pedido.productos_idprod=productos.id_prod where transacciones_idtransacciones=$trans order by nombreProd";

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());

*/

echo "<center><br><font color=\"#000099\" size=\"+2\"><b>Reporte de caja del mes de $mesletra $ano</b></font><br><br>
CD: <b>$id_cd</b> Encargado:<b>$nombreci</b> <br><br>
";

$qPP = "select sum(cantidad) as cant, sum(puntos) as ptos, sum(efectivo) as ef, sum(deposito) as de, sum(tarjeta) as ta, sum(regalias) as re, sum(voucher) as vo, sum(porpagar) as pp from transacciones join depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones join pagovta on transacciones.idtransacciones=pagovta.idtransacciones where (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=15) and fechat between '$ano-$fecha-01' and '$ano-$fecha-31' and usuarios_ci_idusuarios_ci=$id_cd ";
	

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
  
if(mysql_affected_rows($conexion))
{
	echo "
			
	<font size=\"+1\"><b>Resumen de ventas:</b></font><table  border=\"1\" cellspacing=\"0\" cellpadding=\"1\"> <th>Cantidad</th><th>Puntos</th><th>Efectivo</th><th>Deposito</th><th>Tarjeta</th><th>Regs</th>
	<th>Voucher</th><th>X Pagar</th></tr>";
	
	while (($objetoPP=mysql_fetch_object($rPP)) )
{
$idprodt=$objetoPP->id_prod;
$efectivo=$objetoPP->ef;
	echo "<tr>
			 <td align=\"center\">$ $objetoPP->cant</td>
			 <td align=\"center\">$objetoPP->ptos</td>
			 <td align=\"center\">$ $objetoPP->ef</td>
			 <td align=\"center\">$ $objetoPP->de</td>
			 <td align=\"center\">$ $objetoPP->ta</td>
			 <td align=\"center\">$objetoPP->re</td>
			 <td align=\"center\">$objetoPP->vo</td>
			 <td align=\"center\">$objetoPP->pp</td>
           </tr> ";
			

		    
}
	
   
   
   echo"</table><br>";
}
 
$qPP1 = "select fechat, sum(depositos.cantidad) as cant, sum(puntos) as ptos, sum(efectivo) as ef, sum(deposito) as de, sum(tarjeta) as ta, sum(regalias) as re, sum(voucher) as vo, sum(porpagar) as pp from transacciones join depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones join pagovta on transacciones.idtransacciones=pagovta.idtransacciones  where (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=15) and fechat between '$ano-$fecha-01' and '$ano-$fecha-31' and usuarios_ci_idusuarios_ci=$id_cd group by fechat";
	

$rPP1 = mysql_query($qPP1) or die ('ErrPP: '. mysql_error());
  
if(mysql_affected_rows($conexion))
{
	echo "
			
	<font size=\"+1\"><b>Resumen de ventas:</b></font><table  border=\"1\" cellspacing=\"0\" cellpadding=\"1\"> <th>Fecha</th><th>Cantidad</th><th>Suma pagos</th><th>Puntos</th><th>Efectivo</th><th>Deposito</th><th>Tarjeta</th><th>Regs</th>
	<th>Voucher</th><th>X Pagar</th></tr>";
	
	while (($objetoPP=mysql_fetch_object($rPP1)) )
{
$eltot=$objetoPP->ef+$objetoPP->de+$objetoPP->ta+$objetoPP->re+$objetoPP->vo+$objetoPP->pp;
$tot1+=$eltot; $tot2+=$objetoPP->cant;
	echo "<tr>
	<td align=\"center\"> $objetoPP->fechat</td>
			 <td align=\"center\">$ $objetoPP->cant</td><td align=\"center\">$ $eltot</td>
			 <td align=\"center\">$objetoPP->ptos</td>
			 <td align=\"center\">$ $objetoPP->ef</td>
			 <td align=\"center\">$ $objetoPP->de</td>
			 <td align=\"center\">$ $objetoPP->ta</td>
			 <td align=\"center\">$objetoPP->re</td>
			 <td align=\"center\">$objetoPP->vo</td>
			 <td align=\"center\">$objetoPP->pp</td>
           </tr> ";
	    
}
	
   
   
   echo"</table><br>Total sistema $ $tot1 Total pagos $ $tot2<br><br>";
}
 
			   
	
	

?>

